#
# spec file for package perl-Bread-Board
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Bread-Board
Version:        0.36
Release:        1.1
%define cpan_name Bread-Board
Summary:        Solderless Way to Wire Up Your Application Components
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Bread-Board/
Source0:        https://cpan.metacpan.org/authors/id/Y/YA/YANICK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Moose::Exporter) >= 2.1200
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(Moose::Util)
BuildRequires:  perl(Moose::Util::TypeConstraints)
BuildRequires:  perl(MooseX::Clone) >= 0.05
BuildRequires:  perl(MooseX::Params::Validate) >= 0.14
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::Moose)
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Try::Tiny)
Requires:       perl(Module::Runtime)
Requires:       perl(Moose)
Requires:       perl(Moose::Exporter) >= 2.1200
Requires:       perl(Moose::Role)
Requires:       perl(Moose::Util)
Requires:       perl(Moose::Util::TypeConstraints)
Requires:       perl(MooseX::Clone) >= 0.05
Requires:       perl(MooseX::Params::Validate) >= 0.14
Requires:       perl(Try::Tiny)
%{perl_requires}

%description
Bread::Board is an inversion of control framework with a focus on
dependency injection and lifecycle management. It's goal is to help you
write more decoupled objects and components by removing the need for you to
manually wire those objects/components together.

Want to know more? See the Bread::Board::Manual.

  +-----------------------------------------+
  |          A B C D E   F G H I J          |
  |-----------------------------------------|
  | o o |  1 o-o-o-o-o v o-o-o-o-o 1  | o o |
  | o o |  2 o-o-o-o-o   o-o-o-o-o 2  | o o |
  | o o |  3 o-o-o-o-o   o-o-o-o-o 3  | o o |
  | o o |  4 o-o-o-o-o   o-o-o-o-o 4  | o o |
  | o o |  5 o-o-o-o-o   o-o-o-o-o 5  | o o |
  |     |  6 o-o-o-o-o   o-o-o-o-o 6  |     |
  | o o |  7 o-o-o-o-o   o-o-o-o-o 7  | o o |
  | o o |  8 o-o-o-o-o   o-o-o-o-o 8  | o o |
  | o o |  9 o-o-o-o-o   o-o-o-o-o 9  | o o |
  | o o | 10 o-o-o-o-o   o-o-o-o-o 10 | o o |
  | o o | 11 o-o-o-o-o   o-o-o-o-o 11 | o o |
  |     | 12 o-o-o-o-o   o-o-o-o-o 12 |     |
  | o o | 13 o-o-o-o-o   o-o-o-o-o 13 | o o |
  | o o | 14 o-o-o-o-o   o-o-o-o-o 14 | o o |
  | o o | 15 o-o-o-o-o   o-o-o-o-o 15 | o o |
  | o o | 16 o-o-o-o-o   o-o-o-o-o 16 | o o |
  | o o | 17 o-o-o-o-o   o-o-o-o-o 17 | o o |
  |     | 18 o-o-o-o-o   o-o-o-o-o 18 |     |
  | o o | 19 o-o-o-o-o   o-o-o-o-o 19 | o o |
  | o o | 20 o-o-o-o-o   o-o-o-o-o 20 | o o |
  | o o | 21 o-o-o-o-o   o-o-o-o-o 21 | o o |
  | o o | 22 o-o-o-o-o   o-o-o-o-o 22 | o o |
  | o o | 22 o-o-o-o-o   o-o-o-o-o 22 | o o |
  |     | 23 o-o-o-o-o   o-o-o-o-o 23 |     |
  | o o | 24 o-o-o-o-o   o-o-o-o-o 24 | o o |
  | o o | 25 o-o-o-o-o   o-o-o-o-o 25 | o o |
  | o o | 26 o-o-o-o-o   o-o-o-o-o 26 | o o |
  | o o | 27 o-o-o-o-o   o-o-o-o-o 27 | o o |
  | o o | 28 o-o-o-o-o ^ o-o-o-o-o 28 | o o |
  +-----------------------------------------+

Loading this package will automatically load the rest of the packages
needed by your Bread::Board configuration.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTORS doap.xml README.mkdn
%license LICENSE

%changelog
* Mon Oct  9 2017 coolo@suse.com
- updated to 0.36
  see /usr/share/doc/packages/perl-Bread-Board/Changes
  0.36 2017-09-25
    [ BUG FIXES ]
  - fix pod error. (Mohammad S Anwar, GH#63)
    [ MISC ]
  - Reverting the changes of #53, as it breaks a few packages that are
    using `also => 'Bread::Board'` in their import, and the benefit we
    get from	freeing ourselves from Moose::Exporter isn't that huge.
    [ STATISTICS ]
  - code churn: 4 files changed, 40 insertions(+), 44 deletions(-)
* Wed Aug  2 2017 coolo@suse.com
- updated to 0.35
  see /usr/share/doc/packages/perl-Bread-Board/Changes
  0.35 2017-07-31
    [ BUG FIXES ]
  - fixed Bread::Board::Dumper to dump parameterized containers -
    previously it would just ignore them entirely (#56, Dave Rolsky)
  - Moo classes were losing their method modifiers because of bad
    interaction with Class::MOP::class_of(). (GH#61)
    [ ENHANCEMENTS ]
  - Using Bread::Board no longer enables strict and warnings in the
    calling package. (#53, Dave Rolsky) - Bread::Board::Dumper now sorts
    services and sub containers - previously these came out in a random
    order each time (#56, Dave Rolsky) - allow a service or literal to be
    undefined. (#54, Dave Rolsky)
    [ STATISTICS ]
  - code churn: 13 files changed, 425 insertions(+), 237 deletions(-)
* Mon Apr  4 2016 coolo@suse.com
- updated to 0.34
  see /usr/share/doc/packages/perl-Bread-Board/Changes
  0.34 2016-03-28
  - Add test messages to tests which did not have them, (#50, Alex
    Balhatchet)
    [ DOCUMENTATION ]
  - add missing module abstracts. (GH#49, Alex Balhatchet, GH#16,
    Sterling Hanenkamp)
    [ ENHANCEMENTS ]
  - SetterInjection can now accept any constructor. (#43, dakkar)
    [ STATISTICS ]
  - code churn: 37 files changed, 462 insertions(+), 395 deletions(-)
* Mon Apr 27 2015 coolo@suse.com
- updated to 0.33
  see /usr/share/doc/packages/perl-Bread-Board/Changes
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.32
  see /usr/share/doc/packages/perl-Bread-Board/Changes
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.25
  see /usr/share/doc/packages/perl-Bread-Board/Changes
* Sat Apr 16 2011 coolo@opensuse.org
- updated to 0.18
  * Bread::Board::Service::WithParameters
  - added has_parameter_defaults method to check
    if a parameter has default values
  * Bread::Board::Service::WithDependencies
  - added a check for has_parameter_defaults before
    we make a Thunk
  - added test for this (thanks to rafl)
* Sun Apr  3 2011 coolo@novell.com
- updated to 0.17
  * Bread::Board::Service::Inferred
  - make recrusive inferrence work
  - add tests for this
  * Bread::Board::Manual::Concepts::Advanced
  - small doc update about subclassing and
    the name parameter, resolving RT#63124
    (thanks to Evan Haas)
* Wed Dec 29 2010 pascal.bleser@opensuse.org
- initial version (0.15)
